<?php
/**
 * mailform.php
 */

// エラー出力（デフォルト：Off）
ini_set('display_errors', 'Off');
// 出力するエラーの種類を設定
error_reporting(E_ALL ^ E_NOTICE);

// 時間設定
$time = time();
$zone = 0;
if (date('T')!='JST') {
	$z = date('Z');
	$zone = 32400 - $z;
	$time = time() + $zone;
}
/**
 * UNIX_TIME
 * 日本時間に調整した秒
 */
define('UNIX_TIME', $time);

/**
 * UNIX_ZONE
 * 調整時間
 */
define('UNIX_ZONE', $zone);

// 現在の言語を設定
mb_language("japanese");
// デフォルトエンコード
define('MAILFORMPHP_DEFAULT_ENCODE', 'UTF-8');
// 内部エンコードにデフォルトエンコードをセット
mb_internal_encoding(MAILFORMPHP_DEFAULT_ENCODE);
// エンコード判別順設定
mb_detect_order("UTF-8,SJIS-win,SJIS,eucJP-win,EUC-JP");

// ライブラリフォルダのパス
define('MAILFORMPHP_LIBS_DIR', dirname(__FILE__));
// 基本のパス
define('MAILFORMPHP_BASE_DIR', MAILFORMPHP_LIBS_DIR.'/..');
// セッションフォルダのパス
define('MAILFORMPHP_SESSION_DIR', MAILFORMPHP_LIBS_DIR . DIRECTORY_SEPARATOR . 'session');
// テンプレートフォルダのパス
define('MAILFORMPHP_TEMPLATES_DIR', MAILFORMPHP_BASE_DIR . DIRECTORY_SEPARATOR . 'tpl');
// 仮UPフォルダ（ベースは処理時に付けるので不要）
define('MAILFORMPHP_TEMP_DIR', DIRECTORY_SEPARATOR . 'temp');
// 本UPフォルダ（ベースは処理時に付けるので不要）
define('MAILFORMPHP_FILE_DIR', DIRECTORY_SEPARATOR . 'file');
// アップロードディレクトリ（＝仮UPフォルダ）
define('MAILFORMPHP_UPLOADS_DIR', MAILFORMPHP_BASE_DIR . MAILFORMPHP_TEMP_DIR);
// セッションキーの名前
define('MAILFORMPHP_SESSION_NAME', 'MAILFORMKEY');
// 改行コード
define('MAIL_EOL', "\n");
// ファイルリスト
define('MAILFORMPHP_FILELIST', MAILFORMPHP_LIBS_DIR . DIRECTORY_SEPARATOR . 'filelist.cgi');
// ファイルリスト
define('MAILFORMPHP_ACCOUNT', MAILFORMPHP_LIBS_DIR . DIRECTORY_SEPARATOR . 'account.php');

// system_config.phpのパス
define('SYSTEM_CONFIG', MAILFORMPHP_LIBS_DIR . DIRECTORY_SEPARATOR . 'system_config.php');
// form_config.phpのパス
define('FORM_CONFIG', MAILFORMPHP_LIBS_DIR . DIRECTORY_SEPARATOR . 'form_config.php');

// PEARディレクトリ指定
$pear_dir = MAILFORMPHP_LIBS_DIR . DIRECTORY_SEPARATOR . 'pear' . DIRECTORY_SEPARATOR ;
// インクルードパス設定
set_include_path( get_include_path() . PATH_SEPARATOR . $pear_dir );

// 関数群読込
require MAILFORMPHP_LIBS_DIR . DIRECTORY_SEPARATOR . 'function.php';
// システム設定読込
require SYSTEM_CONFIG;

define('MAILFORMPHP_BASEURL', $base_url);

// 利用者判別
list( $prefix, $usertype ) = userAgentDetection($template_type);
define('MAILFORMPHP_PREFIX', $prefix);
define('MAILFORMPHP_USERTYPE', $usertype);

// SMTP認証を使用したメール送信の場合に使用するパラメータ
$global_params = array(
	'from' => array(
		'name' => $thanks_mail_from_name,
		'mail' => $thanks_mail_from_mail,
	),
	'thanks_mail' => array(
		'use' => $thanks_mail_use,
		'subject' => $thanks_mail_subject,
		'body' => ${'thanks_mail_template_'.MAILFORMPHP_PREFIX},
	),
	'alert_mail' => array(
		'recipients' => $alert_mail_to1,
		'subject' => $alert_mail_subject,
		'body' => $alert_mail_template_p,
	),
	'pop_mail' => array(
		'recipients' => $alert_mail_to2,
		'subject' => $alert_mail_to2_subject,
		'body' => $alert_mail_to2_body
	),
	'smtpauth_params' => array(
		'host' => $thanks_mail_from_smtp_host,			// SMTPサーバー名
		'port' => $thanks_mail_from_smtp_port,			// ポート番号
		'auth' => $thanks_mail_from_smtp_auth,			// SMTP認証を使用する
		'username' => $thanks_mail_from_smtp_username,	// SMTPのユーザー名
		'password' => $thanks_mail_from_smtp_password	// SMTPのパスワード
	)
);

// 出力エンコード設定
define('MAILFORMPHP_OUTPUT_ENCODE', mojicodeDetection(${'template_mojicode_'.MAILFORMPHP_PREFIX} ));

/**
 * デモモード<br>
 * libsディレクトリに以下のファイルを設置すると<br>
 * デモモードとなり、メールの送信処理が行われなくなる。<br>
 * DEMO、demo、DEMO.txt、demo.txt
 *
 * @return true|false
 */
define(
	'DEMO_MODE',
	file_exists(MAILFORMPHP_LIBS_DIR.'/DEMO')
	||file_exists(MAILFORMPHP_LIBS_DIR.'/demo')
	||file_exists(MAILFORMPHP_LIBS_DIR.'/DEMO.txt')
	||file_exists(MAILFORMPHP_LIBS_DIR.'/demo.txt')
);

/* 以下削除しないでください */
define('LICENSE_CODE',getLicenseCode());

/* --------------------------------------------------------------- */
